> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Email Change



## OpenAPI

````yaml /api-reference/openapi.json post /api/auth/email/change/confirm
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/auth/email/change/confirm:
    post:
      tags:
        - auth
      summary: Confirm Email Change
      operationId: confirm_email_change_api_auth_email_change_confirm_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EmailChangeConfirmRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserRead'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EmailChangeConfirmRequest:
      properties:
        token:
          type: string
          title: Token
      type: object
      required:
        - token
      title: EmailChangeConfirmRequest
    UserRead:
      properties:
        id:
          type: integer
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        email:
          type: string
          title: Email
        is_active:
          type: boolean
          title: Is Active
        roles:
          items:
            type: string
          type: array
          title: Roles
          default: []
        mfa_enabled:
          type: boolean
          title: Mfa Enabled
          default: false
        is_platform_owner:
          type: boolean
          title: Is Platform Owner
          default: false
        organization_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Organization Id
        organization:
          anyOf:
            - $ref: '#/components/schemas/OrganizationSummary'
            - type: 'null'
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - email
        - is_active
      title: UserRead
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OrganizationSummary:
      properties:
        id:
          type: integer
          title: Id
        uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Uuid
        name:
          type: string
          title: Name
        slug:
          type: string
          title: Slug
        license_type:
          type: string
          title: License Type
        plan_tier:
          anyOf:
            - type: string
            - type: 'null'
          title: Plan Tier
      type: object
      required:
        - id
        - name
        - slug
        - license_type
      title: OrganizationSummary
      description: Compact org info embedded in auth payloads and user lists.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````